%global modname boom

Name:               boom
Version:            0.5
Release:            1%{?dist}
Summary:            Simple HTTP Load tester

Group:              Development/Libraries
# Not sure which version number.  Defaulting to latest for now.
# https://github.com/tarekziade/boom/issues/14
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/boom
Source0:            http://pypi.python.org/packages/source/b/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-gevent
BuildRequires:      python-requests
BuildRequires:      python-nose
Requires:           python-gevent
Requires:           python-requests

%description
Boom! is a simple command line tool to send some load to a web app.

It is a script you can use to quickly smoke-test your web app
deployment.  Boom! was specifically written to replace my Apache
Bench usage, because I was annoyed by some bugs and some stupid
behaviors.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
PYTHONPATH=$(pwd) nosetests

%files
# Note, no license file yet included.  See
# https://github.com/tarekziade/boom/issues/14
%doc README.rst PKG-INFO
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*
%{_bindir}/boom

%changelog
* Sat Mar 09 2013 Ralph Bean <rbean@redhat.com> - 0.5-1
- Initial package for Fedora
